Package com.independentsoft.office.odf.styles

# Enum Class HatchStyle

java.lang.Object
java.lang.Enum<HatchStyle>
com.independentsoft.office.odf.styles.HatchStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<HatchStyle>`, `Constable`

public enum HatchStyle extends Enum<HatchStyle>
Represents a rendering for a hatch.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DOUBLE`
  Defines a hatch that is made of a set of parallel lines along the axis of the hatch and a set of parallel lines perpendicular to the axis of the hatch.
  `NONE`
  None.
  `SINGLE`
  Defines a hatch that is made of parallel lines along the axis of the hatch.
  `TRIPLE`
  Defines a hatch that is made of a set of parallel lines along the axis of the hatch, a set of parallel lines perpendicular to the axis of the hatch and a set of lines along 45 degree clockwise to the axis of the hatch.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HatchStyle`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static HatchStyle[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SINGLE

    public static final HatchStyle SINGLE
    Defines a hatch that is made of parallel lines along the axis of the hatch.

  - ### DOUBLE

    public static final HatchStyle DOUBLE
    Defines a hatch that is made of a set of parallel lines along the axis of the hatch and a set of parallel lines perpendicular to the axis of the hatch.

  - ### TRIPLE

    public static final HatchStyle TRIPLE
    Defines a hatch that is made of a set of parallel lines along the axis of the hatch, a set of parallel lines perpendicular to the axis of the hatch and a set of lines along 45 degree clockwise to the axis of the hatch.

  - ### NONE

    public static final HatchStyle NONE
    None.

- ## Method Details

  - ### values

    public static HatchStyle[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HatchStyle valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null